GET
/
payments
/
checkout
/
check-status
/
{id}
Check Checkout Status
curl --request GET \
  --url https://api.dompetx.com/v1/payments/checkout/check-status/{id} \
  --header 'X-DOMPAY-API-Key: <api-key>' \
  --header 'X-DOMPAY-Signature: <api-key>' \
  --header 'X-DOMPAY-Timestamp: <api-key>'

Overview

Check the current payment status of a checkout session.

Response Example

{
  "id": "e0ce4eda-e701-4cd5-b027-a6a891971049",
  "reference": "MERCHANTBASICNEW5-1768488757-70471",
  "providerPaymentId": "t96ajeZwKKmz7GC9oHQL",
  "status": "paid",
  "amount": 2000,
  "fee": 18,
  "additionalFee": 200,
  "getBalance": 2000,
  "totalAmount": 2218,
  "isFeeIncluded": false,
  "currency": "IDR",
  "type": "qr_dynamic",
  "createdAt": "2026-01-15T21:52:38+07:00",
  "expiresAt": "2026-01-15T22:52:38+07:00",
  "qrData": {
    "qrString": "00020101021226610016ID.CO.SHOPEE.WWW...",
    "qrImage": "/v1/qr/058cbef4-59dd-4f17-ba22-c0c15e8d3c2f",
    "refId": "dompay-71-1768488757572576936"
  },
  "history": null
}

Authorizations

X-DOMPAY-API-Key
string
header
required
X-DOMPAY-Signature
string
header
required
X-DOMPAY-Timestamp
string
header
required

Path Parameters

id
string
required

Response

200

Checkout status retrieved successfully